curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": [
"<string>"
],
"market_data_environment_name": "Example market data",
"descriptors": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core",
"currency": "<string>",
"curve_name": "<string>"
}
],
"currencies": [
"<string>"
],
"market_dates": [
"2023-11-07T05:31:56Z"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": ["<string>"],
"market_data_environment_name": "Example market data",
"descriptors": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core",
"currency": "<string>",
"curve_name": "<string>"
}
],
"currencies": ["<string>"],
"market_dates": ["2023-11-07T05:31:56Z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core',
provider_id: '<string>',
market_data_environment_names: ['<string>'],
market_data_environment_name: 'Example market data',
descriptors: [
{
$type: 'Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core',
currency: '<string>',
curve_name: '<string>'
}
],
currencies: ['<string>'],
market_dates: ['2023-11-07T05:31:56Z']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core',
'provider_id' => '<string>',
'market_data_environment_names' => [
'<string>'
],
'market_data_environment_name' => 'Example market data',
'descriptors' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core',
'currency' => '<string>',
'curve_name' => '<string>'
]
],
'currencies' => [
'<string>'
],
'market_dates' => [
'2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"descriptors\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core\",\n \"currency\": \"<string>\",\n \"curve_name\": \"<string>\"\n }\n ],\n \"currencies\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"descriptors\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core\",\n \"currency\": \"<string>\",\n \"curve_name\": \"<string>\"\n }\n ],\n \"currencies\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"descriptors\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core\",\n \"currency\": \"<string>\",\n \"curve_name\": \"<string>\"\n }\n ],\n \"currencies\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"discount_curves": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"currency": "<string>",
"curve_name": "<string>",
"discount_factors": [
123
],
"extrapolate": true,
"maturities": [
123
],
"value_date": "2023-11-07T05:31:56Z"
}
]
}Retrieve discount curves for dates and provider scopes.
Use this operation to retrieve currency discount curves or specifically named curve descriptors on one or
more market dates. Supply either Descriptors or Currencies; currency values are converted to
descriptors with an empty curve name. The caller’s resolved provider list determines the lookup scope, and
the operation does not modify stored curves.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": [
"<string>"
],
"market_data_environment_name": "Example market data",
"descriptors": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core",
"currency": "<string>",
"curve_name": "<string>"
}
],
"currencies": [
"<string>"
],
"market_dates": [
"2023-11-07T05:31:56Z"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": ["<string>"],
"market_data_environment_name": "Example market data",
"descriptors": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core",
"currency": "<string>",
"curve_name": "<string>"
}
],
"currencies": ["<string>"],
"market_dates": ["2023-11-07T05:31:56Z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core',
provider_id: '<string>',
market_data_environment_names: ['<string>'],
market_data_environment_name: 'Example market data',
descriptors: [
{
$type: 'Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core',
currency: '<string>',
curve_name: '<string>'
}
],
currencies: ['<string>'],
market_dates: ['2023-11-07T05:31:56Z']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core',
'provider_id' => '<string>',
'market_data_environment_names' => [
'<string>'
],
'market_data_environment_name' => 'Example market data',
'descriptors' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core',
'currency' => '<string>',
'curve_name' => '<string>'
]
],
'currencies' => [
'<string>'
],
'market_dates' => [
'2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"descriptors\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core\",\n \"currency\": \"<string>\",\n \"curve_name\": \"<string>\"\n }\n ],\n \"currencies\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"descriptors\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core\",\n \"currency\": \"<string>\",\n \"curve_name\": \"<string>\"\n }\n ],\n \"currencies\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"descriptors\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.DiscountCurveDescriptor, Derivitec.Web.Core\",\n \"currency\": \"<string>\",\n \"curve_name\": \"<string>\"\n }\n ],\n \"currencies\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"discount_curves": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"currency": "<string>",
"curve_name": "<string>",
"discount_factors": [
123
],
"extrapolate": true,
"maturities": [
123
],
"value_date": "2023-11-07T05:31:56Z"
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The query payload. At least one descriptor or ISO currency code is required, MarketDates must be non-empty ISO 8601 date/time values, and provider/environment fields optionally constrain the source scopes.
Queries currency discount curves by descriptor or currency across market dates.
Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesRequest, Derivitec.Web.Core Opaque identifier of a single market-data provider to use instead of either environment-name option.
Access classification associated with the selected market-data environment.
view, edit, owner, blocked Names of the market-data environments to use. Do not combine this list with the single-name or provider-ID alternatives.
Single market-data environment name to use instead of market_data_environment_names or provider_id.
"Example market data"
Structured selectors for the requested discount curves.
Show child attributes
Show child attributes
Currencies that narrow the discount curves operation.
Market dates on which discount curves are requested.
Response
Returns the matching discount curves and any descriptor, date, or provider lookup errors.
Returns currency discount curves and query errors.
Derivitec.Web.Core.MarketData.ApiGetDiscountCurvesResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Currency discount curves returned by the query.
Show child attributes
Show child attributes
Was this page helpful?